Subject: Re: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Stefan Monnier <[email-masked]>
Date: Sat, 21 Dec 2024 12:35:31 -0500

> I interpreted the suggestion to use a fixnum as meaning to use a
> Lisp_Object.  I'm not aware of any other interpretation of "fixnum".
> Apologies if I misunderstood.

It was actually just me not being 100% sure if it had type Lisp_Object
or not, but wanting to insist on the fact that in any case it's a value that
doesn't require any tracing for the GC or relocation or any such thing.

BTW, we could also keep the bug and fix the crash by checking bounds
before we use the index, ...

        Stefan